#include <iostream>
#include <vector>
#include <queue>

int main(){
    std::string tekst;
    std::string zabranjenaRec;

    std::cin >> tekst >> zabranjenaRec;

    std::queue<std::string> zabranjeneSekvence;
    std::string tempSekvenca = "";

    char tempC = zabranjenaRec[0];
    tempSekvenca += tempC;

    for(int i = 1; i < zabranjenaRec.length();i++){
        if(zabranjenaRec[i] != tempC){
            zabranjeneSekvence.push(tempSekvenca);
            tempSekvenca = "";
            tempC = zabranjenaRec[i];
        }
        tempSekvenca += tempC;
    }
    zabranjeneSekvence.push(tempSekvenca);

    int indeks;
    int brojZvezdica = tekst.length() + 1; // moze i INT32_MAX ali ne bih zbog kompajlera :/

    while(!zabranjeneSekvence.empty()){
        std::string sekvenca = zabranjeneSekvence.front();
        int index = tekst.find(sekvenca);
        if(index != std::string::npos){
            int pocetniIndeks = index;
            int tempBrojZvezdica = sekvenca.length();
            index += tempBrojZvezdica;
            while(tekst[index] == sekvenca[0]){
                index++;
                tempBrojZvezdica++;
            }
            if(tempBrojZvezdica < brojZvezdica){
                brojZvezdica = tempBrojZvezdica;
                indeks = pocetniIndeks;
            }
        } else{
            brojZvezdica = 0;
            break;
        }

        zabranjeneSekvence.pop();
    }

    for(int i = indeks; i < indeks + brojZvezdica; i++){
        tekst[i] = '*';
    }

    std::cout << brojZvezdica << std::endl;
    std::cout << tekst << std::endl;
}